> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List speakers

> Lists all speakers in your organization

Lists speakers in your organization. Speakers represent the people behind custom and cloned voices.

Use the returned `id` as `speaker_id` when you [create a voice](/api-reference/voices/create).


## OpenAPI

````yaml get /speakers
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /speakers:
    parameters:
      - name: custom_voices
        in: query
        schema:
          type: string
          enum:
            - partial
        description: >-
          The level of detail to show for custom_voices in the response: 'none'
          or 'partial'
        required: false
    get:
      tags:
        - Speakers
      summary: List speakers
      description: Lists all speakers in your organization
      operationId: speakers#index
      responses:
        '200':
          description: OK
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/speakersExample'
              schema:
                $ref: '#/components/schemas/speakersModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
      security:
        - apiKey: []
components:
  examples:
    speakersExample:
      summary: A sample list of speakers
      value:
        - id: 1
          first_name: Jane
          last_name: Doe
          avatar_url: https://example.com/avatar.jpg
          voices: []
          created: '2023-12-31T00:00:00.000Z'
          updated: '2023-12-31T00:00:00.000Z'
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  schemas:
    speakersModel:
      type: array
      items:
        $ref: '#/components/schemas/speakerModel'
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
    speakerModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        first_name:
          type: string
          description: The first name of the speaker
        last_name:
          type: string
          description: The last name of the speaker
          nullable: true
        avatar_url:
          type: string
          description: The image URL of the speaker
          nullable: true
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
        custom_voices:
          type: array
          description: The custom voices for the speaker
          nullable: true
          items:
            $ref: '#/components/schemas/customVoiceModel'
        voices:
          type: array
          description: The voices for the speaker
          nullable: true
          items:
            type: object
            properties:
              id:
                type: integer
                description: Unique identifier for the object
              name:
                type: string
                description: The name of the voice
    customVoiceModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique identifier for the object
        name:
          type: string
          description: The name of the custom voice
        script_ids:
          type: array
          description: The scripts to assign to the custom voice
          items:
            type: integer
            description: The unqiue identifier for the script
        cloning_status:
          type: string
          description: The cloning status of the custom voice
          enum:
            - script-preparation
            - script-recording
            - pre-processing
            - training-model
            - fine-tuning-model
            - finished-cloning
        recording_username:
          type: string
          description: >-
            The unique identifier to be used for recording (omitted when using
            basic auth)
        recording_access:
          type: string
          description: >-
            The access level to set for recording (omitted when using basic
            auth)
          enum:
            - none
            - private
            - public
        recording_password:
          type: string
          description: The password to set for recording (omitted when using basic auth)
        created:
          type: string
          format: date-time
          description: Time at which the object was created (ISO 8601)
        updated:
          type: string
          format: date-time
          description: Time at which the object was updated (ISO 8601)
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````